Skip to main content
POST
Send responses by email
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.

Body

application/json
ids
string[]
required

IDs of the submissions to email. At most 100. IDs that do not belong to the form are skipped.

Maximum array length: 100
Example:
email_question_id
string
required

ID of an email question on the form. Each message goes to the address the person gave in this question.

subject
string
required

Subject of the email. You can use the form's answer variables.

Example:

"Thanks for your response"

body
string
required

Body of the email, in HTML. You can use the form's answer variables.

Example:

"<p>Hi, we got your response.</p>"

cc_emails
string<email>[]
Example:
bcc_emails
string<email>[]

Response

Accepted - Emails are queued

queued
boolean
submission_ids
string[]

IDs of the submissions that belong to the form. Emails are sent in the background.